Update for ImageMagick, ImageMagick.256, Mozilla... security moderate

update for python-django

python-django update version to 1.2.7 fixes several security issues including denial of service, CSRF and
information leaks: https://www.djangoproject.com/weblog/2011/sep/10/127/

Fixed bugs
bnc#718045
python-django multiple security flaws
CVE-CVE-2011-4136
django.contrib.sessions in Django before 1.2.7 and 1.3.x before 1.3.1, when session data is stored in the cache, uses the root namespace for both session identifiers and application-data keys, which allows remote attackers to modify a session by triggerin
CVE-CVE-2011-4137
The verify_exists functionality in the URLField implementation in Django before 1.2.7 and 1.3.x before 1.3.1 relies on Python libraries that attempt access to an arbitrary URL with no timeout, which allows remote attackers to cause a denial of service (re
CVE-CVE-2011-4138
The verify_exists functionality in the URLField implementation in Django before 1.2.7 and 1.3.x before 1.3.1 originally tests a URLs validity through a HEAD request, but then uses a GET request for the new target URL in the case of a redirect, which migh
CVE-CVE-2011-4139
Django before 1.2.7 and 1.3.x before 1.3.1 uses a requests HTTP Host header to construct a full URL in certain circumstances, which allows remote attackers to conduct cache poisoning attacks via a crafted request.
CVE-CVE-2011-4140
The CSRF protection mechanism in Django through 1.2.7 and 1.3.x through 1.3.1 does not properly handle web-server configurations supporting arbitrary HTTP Host headers, which allows remote attackers to trigger unauthenticated forged requests via vectors i
Selected Binaries
openSUSE Build Service is sponsored by